Перестал работать Angular material после переноса проекта на Ubuntu

Здраствуйте. Мне по определенным причинам нужно было перенести проект с windows с ubuntu. На Windows 10 проект отлично работает, но когда я попробовал перенести проект на другую ос я столкнулся с трудностями.

Я установил проект из github, выполнил команду npm install, и потом ng serve. Я получил ошибку:

Error: ./node_modules/@angular/material/prebuilt-themes/indigo-pink.css Module build failed (from ./node_modules/mini-css-extract-plugin/dist/loader.js): ModuleBuildError: Module build failed (from ./node_modules/postcss-loader/dist/cjs.js): TypeError: getProcessedPlugins is not a function at /home/ivan/projects/music_service/music-service-frontend/node_modules/tailwindcss/lib/processTailwindFeatures.js:75:83 at LazyResult.runOnRoot (/home/ivan/projects/music_service/music-service-frontend/node_modules/postcss/lib/lazy-result.js:303:16) at LazyResult.runAsync (/home/ivan/projects/music_service/music-service-frontend/node_modules/postcss/lib/lazy-result.js:355:26) at runLoaders (/home/ivan/projects/music_service/music-service-frontend/node_modules/webpack/lib/NormalModule.js:316:20) at /home/ivan/projects/music_service/music-service-frontend/node_modules/loader-runner/lib/LoaderRunner.js:367:11 at /home/ivan/projects/music_service/music-service-frontend/node_modules/loader-runner/lib/LoaderRunner.js:233:18 at context.callback (/home/ivan/projects/music_service/music-service-frontend/node_modules/loader-runner/lib/LoaderRunner.js:111:13) at Object.loader (/home/ivan/projects/music_service/music-service-frontend/node_modules/postcss-loader/dist/index.js:103:7)

Я пробовал удалить парку node_modules и package-lock.json, и установить зависимости заново, но результат не изменился

package.json:

{
  "name": "music-service-frontend",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~11.0.0",
    "@angular/cdk": "^11.2.3",
    "@angular/common": "~11.0.0",
    "@angular/compiler": "~11.0.0",
    "@angular/core": "~11.0.0",
    "@angular/forms": "~11.0.0",
    "@angular/material": "^11.2.3",
    "@angular/platform-browser": "~11.0.0",
    "@angular/platform-browser-dynamic": "~11.0.0",
    "@angular/router": "~11.0.0",
    "ngx-audio-player": "^11.0.4",
    "rxjs": "^6.6.6",
    "tslib": "^2.0.0",
    "zone.js": "~0.10.2"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "^11.0.0",
    "@angular-devkit/build-angular": "~0.1100.1",
    "@angular/cli": "~11.0.1",
    "@angular/compiler-cli": "~11.0.0",
    "@types/jasmine": "~3.6.0",
    "@types/node": "^12.11.1",
    "codelyzer": "^6.0.0",
    "jasmine-core": "~3.6.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~5.1.0",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage": "~2.0.3",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "postcss": "^8.2.5",
    "protractor": "~7.0.0",
    "tailwindcss": "^2.0.3",
    "ts-node": "~8.3.0",
    "tslint": "~6.1.0",
    "typescript": "~4.0.2"
  }
}

Ответы (1 шт):

Автор решения: Ivan

Ответ: нужно было обновить верисю node

→ Ссылка